% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/muttest.R
\name{muttest}
\alias{muttest}
\title{Run a mutation test}
\usage{
muttest(
  plan,
  path = "tests/testthat",
  reporter = default_reporter(),
  test_strategy = default_test_strategy(),
  copy_strategy = default_copy_strategy()
)
}
\arguments{
\item{plan}{A data frame with the test plan. See \code{plan()}.}

\item{path}{Path to the test directory.}

\item{reporter}{Reporter to use for mutation testing results. See \code{?MutationReporter}.}

\item{test_strategy}{Strategy for running tests. See \code{?TestStrategy}.
The purpose of test strategy is to control how tests are executed.
We can run all tests for each mutant, or only tests that are relevant to the mutant.}

\item{copy_strategy}{Strategy for copying the project. See \code{?CopyStrategy}.
This strategy controls which files are copied to the temporary directory, where the tests are run.}
}
\value{
A numeric value representing the mutation score.
}
\description{
Run a mutation test
}
